Projects - Create
Creates a new project.
POST {endpoint}/speechtotext/projects?api-version=2025-10-15
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
Supported Cognitive Services endpoints (protocol and hostname, for example: https://westus.api.cognitive.microsoft.com). |
|
api-version
|
query | True |
string |
The requested api version. |
Request Header
| Name | Required | Type | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
Provide your cognitive services account key here. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| displayName | True |
string minLength: 1 |
The display name of the object. |
| locale | True |
string minLength: 1 |
The locale of the contained data. |
| customProperties |
object |
The custom properties of this entity. The maximum allowed key length is 64 characters, the maximum allowed value length is 256 characters and the count of allowed entries is 10. |
|
| description |
string |
The description of the object. |
|
| foundryProjectName |
string |
The foundry project name. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created |
The response contains information about the entity as payload and its location as header. Headers Location: string |
|
| Other Status Codes |
An error occurred. |
Security
Ocp-Apim-Subscription-Key
Provide your cognitive services account key here.
Type:
apiKey
In:
header
Examples
| Create a project |
| Create a project with foundry project name |
Create a project
Sample request
POST {endpoint}/speechtotext/projects?api-version=2025-10-15
{
"displayName": "My speech project",
"locale": "en-US"
}
Sample response
{
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0?api-version=2025-10-15",
"displayName": "My speech project",
"locale": "en-US",
"createdDateTime": "2019-01-07T11:34:12Z",
"links": {
"evaluations": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/evaluations?api-version=2025-10-15",
"datasets": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/datasets?api-version=2025-10-15",
"models": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/models?api-version=2025-10-15",
"endpoints": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/endpoints?api-version=2025-10-15",
"transcriptions": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/transcriptions?api-version=2025-10-15"
}
}
Create a project with foundry project name
Sample request
POST {endpoint}/speechtotext/projects?api-version=2025-10-15
{
"displayName": "My AI Foundry speech project",
"locale": "en-US",
"foundryProjectName": "my-ai-foundry-project"
}
Sample response
{
"self": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0?api-version=2025-10-15",
"displayName": "My AI Foundry speech project",
"locale": "en-US",
"foundryProjectName": "my-ai-foundry-project",
"createdDateTime": "2019-01-07T11:34:12Z",
"links": {
"evaluations": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/evaluations?api-version=2025-10-15",
"datasets": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/datasets?api-version=2025-10-15",
"models": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/models?api-version=2025-10-15",
"endpoints": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/endpoints?api-version=2025-10-15",
"transcriptions": "https://westus.api.cognitive.microsoft.com/speechtotext/projects/abc46f33-90b8-443d-adad-4870517356e0/transcriptions?api-version=2025-10-15"
}
}
Definitions
| Name | Description |
|---|---|
|
Detailed |
DetailedErrorCode |
| Error |
Error |
|
Error |
ErrorCode |
|
Inner |
InnerError |
| Project |
Project |
|
Project |
ProjectLinks |
DetailedErrorCode
DetailedErrorCode
| Value | Description |
|---|---|
| InvalidParameterValue |
Invalid parameter value. |
| InvalidRequestBodyFormat |
Invalid request body format. |
| EmptyRequest |
Empty Request. |
| MissingInputRecords |
Missing Input Records. |
| InvalidDocument |
Invalid Document. |
| ModelVersionIncorrect |
Model Version Incorrect. |
| InvalidDocumentBatch |
Invalid Document Batch. |
| UnsupportedLanguageCode |
Unsupported language code. |
| DataImportFailed |
Data import failed. |
| InUseViolation |
In use violation. |
| InvalidLocale |
Invalid locale. |
| InvalidBaseModel |
Invalid base model. |
| InvalidAdaptationMapping |
Invalid adaptation mapping. |
| InvalidDataset |
Invalid dataset. |
| InvalidTest |
Invalid test. |
| FailedDataset |
Failed dataset. |
| InvalidModel |
Invalid model. |
| InvalidTranscription |
Invalid transcription. |
| InvalidPayload |
Invalid payload. |
| InvalidParameter |
Invalid parameter. |
| EndpointWithoutLogging |
Endpoint without logging. |
| InvalidPermissions |
Invalid permissions. |
| InvalidPrerequisite |
Invalid prerequisite. |
| InvalidProductId |
Invalid product id. |
| InvalidSubscription |
Invalid subscription. |
| InvalidProject |
Invalid project. |
| InvalidProjectKind |
Invalid project kind. |
| InvalidRecordingsUri |
Invalid recordings uri. |
| OnlyOneOfUrlsOrContainerOrDataset |
Only one of urls or container or dataset. |
| ExceededNumberOfRecordingsUris |
Exceeded number of recordings uris. |
| InvalidChannels |
Invalid channels. |
| ModelMismatch |
Model mismatch. |
| ProjectGenderMismatch |
Project gender mismatch. |
| ModelDeprecated |
Model deprecated. |
| ModelExists |
Model exists. |
| ModelNotDeployable |
Model not deployable. |
| EndpointNotUpdatable |
Endpoint not updatable. |
| SingleDefaultEndpoint |
Single default endpoint. |
| EndpointCannotBeDefault |
Endpoint cannot be default. |
| InvalidModelUri |
Invalid model uri. |
| SubscriptionNotFound |
Subscription not found. |
| QuotaViolation |
Quota violation. |
| UnsupportedDelta |
Unsupported delta. |
| UnsupportedFilter |
Unsupported filter. |
| UnsupportedPagination |
Unsupported pagination. |
| UnsupportedDynamicConfiguration |
Unsupported dynamic configuration. |
| UnsupportedOrderBy |
Unsupported order by. |
| NoUtf8WithBom |
No utf8 with bom. |
| ModelDeploymentNotCompleteState |
Model deployment not complete state. |
| SkuLimitsExist |
Sku limits exist. |
| DeployingFailedModel |
Deploying failed model. |
| UnsupportedTimeRange |
Unsupported time range. |
| InvalidLogDate |
Invalid log date. |
| InvalidLogId |
Invalid log id. |
| InvalidLogStartTime |
Invalid log start time. |
| InvalidLogEndTime |
Invalid log end time. |
| InvalidTopForLogs |
Invalid top for logs. |
| InvalidSkipTokenForLogs |
Invalid skip token for logs. |
| DeleteNotAllowed |
Delete not allowed. |
| Forbidden |
Forbidden. |
| DeployNotAllowed |
Deploy not allowed. |
| UnexpectedError |
Unexpected error. |
| InvalidCollection |
Invalid collection. |
| InvalidCallbackUri |
Invalid callback uri. |
| InvalidSasValidityDuration |
Invalid sas validity duration. |
| InaccessibleCustomerStorage |
Inaccessible customer storage. |
| UnsupportedClassBasedAdaptation |
Unsupported class based adaptation. |
| InvalidWebHookEventKind |
Invalid web hook event kind. |
| InvalidTimeToLive |
Invalid time to live. |
| InvalidSourceAzureResourceId |
Invalid source Azure resource ID. |
| ModelCopyAuthorizationExpired |
Expired ModelCopyAuthorization. |
| EndpointLoggingNotSupported |
Endpoint logging not supported. |
| NoLanguageIdentified |
Language Identification did not recognize any language. |
| MultipleLanguagesIdentified |
Language Identification recognized multiple languages. No dominant language could be determined. |
| InvalidAudioFormat |
The format of input audio is not supported. |
| BadChannelConfiguration |
There is a mismatch between audio channels in the data, in the configuration, or the requirements of the application. |
| InvalidChannelSpecification |
The selection of channels in the transcription request is not supported (e.g., neither 0 nor 1 have been selected.) |
| AudioLengthLimitExceeded |
The audio file is longer than the maximum allowed duration. |
| EmptyAudioFile |
The audio file is empty. |
Error
Error
| Name | Type | Description |
|---|---|---|
| code |
ErrorCode |
|
| details |
Error[] |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
ErrorCode
ErrorCode
| Value | Description |
|---|---|
| InvalidRequest |
Representing the invalid request error code. |
| InvalidArgument |
Representing the invalid argument error code. |
| InternalServerError |
Representing the internal server error error code. |
| ServiceUnavailable |
Representing the service unavailable error code. |
| NotFound |
Representing the not found error code. |
| PipelineError |
Representing the pipeline error error code. |
| Conflict |
Representing the conflict error code. |
| InternalCommunicationFailed |
Representing the internal communication failed error code. |
| Forbidden |
Representing the forbidden error code. |
| NotAllowed |
Representing the not allowed error code. |
| Unauthorized |
Representing the unauthorized error code. |
| UnsupportedMediaType |
Representing the unsupported media type error code. |
| TooManyRequests |
Representing the too many requests error code. |
| UnprocessableEntity |
Representing the unprocessable entity error code. |
InnerError
InnerError
| Name | Type | Description |
|---|---|---|
| code |
DetailedErrorCode |
|
| details |
object |
Additional supportive details regarding the error and/or expected policies. |
| innerError |
InnerError |
|
| message |
string |
High level error message. |
| target |
string |
The source of the error. For example it would be "documents" or "document id" in case of invalid document. |
Project
Project
| Name | Type | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
The time-stamp when the object was created. The time stamp is encoded as ISO 8601 date and time format ("YYYY-MM-DDThh:mm:ssZ", see https://en.wikipedia.org/wiki/ISO_8601#Combined_date_and_time_representations). |
| customProperties |
object |
The custom properties of this entity. The maximum allowed key length is 64 characters, the maximum allowed value length is 256 characters and the count of allowed entries is 10. |
| description |
string |
The description of the object. |
| displayName |
string minLength: 1 |
The display name of the object. |
| foundryProjectName |
string |
The foundry project name. |
| links |
ProjectLinks |
|
| locale |
string minLength: 1 |
The locale of the contained data. |
| self |
string (uri) |
The location of this entity. |
ProjectLinks
ProjectLinks
| Name | Type | Description |
|---|---|---|
| datasets |
string (uri) |
The location to get a list of all datasets of this project. See operation "Projects_ListDatasets" for more details. |
| endpoints |
string (uri) |
The location to get a list of all endpoints of this project. See operation "Projects_ListEndpoints" for more details. |
| evaluations |
string (uri) |
The location to get a list of all evaluations of this project. See operation "Projects_ListEvaluations" for more details. |
| models |
string (uri) |
The location to get a list of all models of this project. See operation "Projects_ListModels" for more details. |
| transcriptions |
string (uri) |
The location to get a list of all transcriptions of this project. See operation "Projects_ListTranscriptions" for more details. |